from pydantic import BaseModel, Field

class RedisConfig(BaseModel):
    host: str = Field(default='localhost', example='localhost')
    port: int = Field(default=6379, example=6379)
    decode_responses: bool = Field(default=True, example=True)
    # db: int = Field(default=0, example=0)
    # password: str = Field(default=None, example='yourpassword')